<?php 

namespace Model;

class KerkdienstInstance extends Model {
  public $name;
  public $start;

  public function __construct($data) {
    parent::__construct($data);
    parent::ConvertToDateTime($this->start);
  }
}

class Kerkdienst extends Model {
  public $isRunning;
  public $previous;
  public $next;

  public function __construct($data) {
    // parent::__construct($data);
    $this->isRunning = $data->isRunning;
    $this->previous = new KerkdienstInstance($data->previous);
    $this->next = new KerkdienstInstance($data->next);
  }
}
